import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { FlexLayoutModule } from '@angular/flex-layout';

import { MatCheckboxModule } from '@angular/material/checkbox';

import { I18nModule, UCAP_I18N_NAMESPACE } from '@ucap/ng-i18n';

import { OrganizationUiModule } from '@ucap/ng-ui-organization';
import { GroupUiModule } from '@ucap/ng-ui-group';

import { COMPONENTS } from './components';

@NgModule({
  imports: [
    CommonModule,
    FlexLayoutModule,
    MatCheckboxModule,
    I18nModule,
    OrganizationUiModule,
    GroupUiModule
  ],
  exports: [...COMPONENTS],
  declarations: [...COMPONENTS],
  entryComponents: [],
  providers: [
    {
      provide: UCAP_I18N_NAMESPACE,
      useValue: ['group']
    }
  ]
})
export class AppGroupSectionModule {}
